Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Stage Comments

List
GET /serviceformModules/{moduleId}/forms/{formId}/stageComments
https://api.relesysapp.net/api/v1.4/serviceformModules/{moduleId}/forms/{formId}/stageComments
Get a list of stage comments for the form with ID formId.

Please note: This endpoint is only available if stages are enabled on the service form module.
Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
moduleId string / guid required
formId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
stageId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"97749f36-0455-4196-81b5-59c5716113cc","url":null,"fillingId":"8fff244b-ffa9-4c12-a310-2e312540723b","fillingUrl":null,"stageId":"d1e3ee8f-0a18-4e30-85ce-08e2c477784e","stageUrl":null,"userId":"daba2306-ff69-4033-a176-7b6bd384a200","userUrl":null,"creationDateTime":"2026-11-10T13:01:28.7484438+00:00","lastModifiedDateTime":"2026-11-11T13:01:28.7484438+00:00","value":"Stage Comment 1","medias":[{"id":"fc2fe284-f43f-4c7b-afe5-d4dcd1966194","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"e1c7391e-f107-45d0-b8c7-bddb6120618e","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"}]},{"id":"812c3c53-d9d5-49ed-9273-847a2c95246d","url":null,"fillingId":"1480532f-6331-4465-b046-ac65ee66016f","fillingUrl":null,"stageId":"68942d07-f6cb-4d17-8139-d1142b2cdddc","stageUrl":null,"userId":"b12fba4a-8fc5-4709-83fe-3abc37041408","userUrl":null,"creationDateTime":"2026-11-10T13:01:28.7484438+00:00","lastModifiedDateTime":null,"value":"Stage Comment 2","medias":[]}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   stageId string / guid      
   stageUrl string      
   url string      
   userId string / guid      
   userUrl string      
   value string      
  nextUrl string      
  previousUrl string